Bug 110795 - Unable to install on latest Ubuntu (19.04)
Summary: Unable to install on latest Ubuntu (19.04)
Status: REOPENED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/AMDgpu-pro (show other bugs)
Version: XOrg git
Hardware: x86-64 (AMD64) Linux (All)
: medium enhancement
Assignee: Default DRI bug account
QA Contact:
URL: https://youtu.be/97fj4bGJxVM
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-29 21:44 UTC by Rolf
Modified: 2019-08-26 08:15 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments
Script to modify packages to be able to use with ubuntu 19.04 (4.29 KB, patch)
2019-06-07 02:43 UTC, Andrew Shark
no flags Details | Splinter Review
Script to modify packages to be able to use with ubuntu 19.04 (4.29 KB, patch)
2019-06-07 15:25 UTC, Andrew Shark
no flags Details | Splinter Review
Script to modify packages to be able to use with ubuntu 19.04 (4.32 KB, patch)
2019-06-07 16:30 UTC, Andrew Shark
no flags Details | Splinter Review
Script to modify packages to be able to use with ubuntu 19.04 (5.09 KB, patch)
2019-06-14 09:09 UTC, Andrew Shark
no flags Details | Splinter Review
Script to modify packages to be able to use with ubuntu 19.04 (12.14 KB, patch)
2019-06-15 17:32 UTC, Andrew Shark
no flags Details | Splinter Review
Script to force remove all amdgpu-pro packages v01 (1.09 KB, patch)
2019-06-15 17:41 UTC, Andrew Shark
no flags Details | Splinter Review
Script to modify packages to be able to use with ubuntu 19.04 (12.12 KB, patch)
2019-08-18 04:12 UTC, Andrew Shark
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Rolf 2019-05-29 21:44:56 UTC
The driver install is hard coded to reject anything other than 18.04, which is two versions behind current Ubuntu. Please update the driver. 

```
Preparing to unpack .../amdgpu-core_19.10-785425_all.deb ...
ERROR: This package can only be installed on Ubuntu 18.04.
dpkg: error processing archive /var/opt/amdgpu-pro-local/./amdgpu-core_19.10-785425_all.deb (--unpack):
 new amdgpu-core package pre-installation script subprocess returned error exit status 1
Errors were encountered while processing:
 /var/opt/amdgpu-pro-local/./amdgpu-core_19.10-785425_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
```
Comment 1 Rolf 2019-05-29 23:58:40 UTC
I spent over a thousand dollars for a card that doesn't support current Linux? And when I file a bug report it's reclassified as an "enhancement", and a medium priority one at that?! Worse still, the driver would probably work fine if the installer would just ignore the version code and try... I'm in shock.
Comment 2 Rolf 2019-05-30 00:36:04 UTC
Also, the install scrip fails without rolling back anything and leaving the system in a half-baked state. The supplied uninstall fails because amdgpu-core isn't installed yet. Since only 18.04 is supported, the install script should at least check for that before installing half a dozen packages for which "apt --fix-broken" cannot resolve their dependencies, due to the hard coded Ubuntu version. Catch-22.
Comment 3 Rolf 2019-05-30 00:59:23 UTC
If anyone else finds themselves in this fix by installing this driver, the only way to get apt-get working again is to forcefully remove all of the files using:

sudo dpkg --force-all -P [package name]

Here is the list of miss-installed packages:


The following packages have unmet dependencies:
 amdgpu-dkms : Depends: amdgpu-core but it is not going to be installed
 amdgpu-lib : Depends: amdgpu-core (= 19.10-785425) but it is not going to be installed
 glamor-amdgpu : Depends: amdgpu-core but it is not going to be installed
 gst-omx-amdgpu : Depends: amdgpu-core but it is not going to be installed
 libdrm-amdgpu-common : Depends: amdgpu-core but it is not going to be installed
 libdrm2-amdgpu:i386 : Depends: amdgpu-core:i386
 libdrm2-amdgpu : Depends: amdgpu-core but it is not going to be installed
 libegl1-amdgpu-mesa:i386 : Depends: amdgpu-core:i386
 libegl1-amdgpu-mesa : Depends: amdgpu-core but it is not going to be installed
 libgbm1-amdgpu:i386 : Depends: amdgpu-core:i386
 libgbm1-amdgpu : Depends: amdgpu-core but it is not going to be installed
 libgl1-amdgpu-mesa-dri:i386 : Depends: amdgpu-core:i386
                               Recommends: libtxc-dxtn-s2tc0:i386 but it is not installable or
                                           libtxc-dxtn0:i386 but it is not installable
 libgl1-amdgpu-mesa-dri : Depends: amdgpu-core but it is not going to be installed
                          Recommends: libtxc-dxtn-s2tc0 but it is not installable or
                                      libtxc-dxtn0 but it is not installable
 libglapi-amdgpu-mesa:i386 : Depends: amdgpu-core:i386
 libglapi-amdgpu-mesa : Depends: amdgpu-core but it is not going to be installed
 libllvm7.1-amdgpu:i386 : Depends: amdgpu-core:i386
 libllvm7.1-amdgpu : Depends: amdgpu-core but it is not going to be installed
 libwayland-amdgpu-client0:i386 : Depends: amdgpu-core:i386
 libwayland-amdgpu-client0 : Depends: amdgpu-core but it is not going to be installed
 libwayland-amdgpu-egl1:i386 : Depends: amdgpu-core:i386
 libwayland-amdgpu-egl1 : Depends: amdgpu-core but it is not going to be installed
 libwayland-amdgpu-server0:i386 : Depends: amdgpu-core:i386
 libwayland-amdgpu-server0 : Depends: amdgpu-core but it is not going to be installed
 mesa-amdgpu-va-drivers:i386 : Depends: amdgpu-core:i386
 mesa-amdgpu-va-drivers : Depends: amdgpu-core but it is not going to be installed
 mesa-amdgpu-vdpau-drivers:i386 : Depends: amdgpu-core:i386
 mesa-amdgpu-vdpau-drivers : Depends: amdgpu-core but it is not going to be installed
 xserver-xorg-amdgpu-video-amdgpu : Depends: amdgpu-core but it is not going to be installed
Comment 4 Alex Deucher 2019-05-30 01:33:03 UTC
The packaged drivers only support the Linux distros listed.
Comment 5 Rolf 2019-05-30 01:49:41 UTC
Yet it half-way installs on 19.04 without a check, and your download page does not include any warning of what it will do to your system if it's not 18.04. In fact, the sub heading lists 18.04.2, so is that the only version of 18.04 supported?

From the specificity used, it's reasonable to assume that the listed version was a minimum version, not an exclusive version.
Comment 6 Andrew Shark 2019-06-07 02:43:13 UTC
Created attachment 144471 [details] [review]
Script to modify packages to be able to use with ubuntu 19.04

Initial version
Comment 7 Rolf 2019-06-07 04:19:44 UTC
@Andrew, thank you for the script. I will give it a try shortly. As an aside, I noticed that someone changed the component from AMDgpu to AMDgpu-pro. I was not installing pro. Will your script work with a standard install?
Comment 8 Rolf 2019-06-07 04:21:10 UTC
@Andrew, I have an ASUS Radeon VII 16GB.
Comment 9 Andrew Shark 2019-06-07 13:38:13 UTC
@Rolf, my script is specifically targeted at pro variant. I do not understand your desire to use amd bundled archive for All-Open stack, because All-Open is already provided by Ubuntu repos.
However, you can just remove "--pro" from the end of the script in line:
./amdgpu-install --pro --opencl=lagacy,pal --no-dkms
Comment 10 Andrew Shark 2019-06-07 15:25:52 UTC
Created attachment 144478 [details] [review]
Script to modify packages to be able to use with ubuntu 19.04

Fixed typo lagacy -> legacy in "--opencl=legacy,pal".
Comment 11 Andrew Shark 2019-06-07 16:30:32 UTC
Created attachment 144479 [details] [review]
Script to modify packages to be able to use with ubuntu 19.04

Added "-f" to rm command to prevent error message in output
rm: cannot remove 'amdgpu-core_19.10-785425_all.no_ub_ver_chk.deb': No such file or directory
Explicitly specified that problems appears in 19.10-785425 release, because they may be fixed by amd in further releases
Comment 12 Rolf 2019-06-10 20:28:00 UTC
@Andrew, I'm transitioning from Windows to Linux for software development. Though not new to Linux, I'm new to running it with a head. Perhaps I'm trying to do something unnecessary under Ubuntu? I have an ASUS Radeon VII 16GB installed in this system. The first thing I had to do under Windows was update the driver from AMD's website. I was following suit for Linux. I don't believe I can run the Pro version on my hardware. The downloaded driver installs either. Ubuntu identifies the graphics as AMD® Vega20. Any and all advice would be most appreciated.
Comment 13 Alex Deucher 2019-06-10 21:42:52 UTC
(In reply to Rolf from comment #12)
> @Andrew, I'm transitioning from Windows to Linux for software development.
> Though not new to Linux, I'm new to running it with a head. Perhaps I'm
> trying to do something unnecessary under Ubuntu? I have an ASUS Radeon VII
> 16GB installed in this system. The first thing I had to do under Windows was
> update the driver from AMD's website. I was following suit for Linux. 

In general, on Linux most users use the in box drivers or a ppa (if you want bleeding edge) rather than the packaged drivers.  The packaged drivers from AMD are mainly there to support workstation customers or users that want to use an older enterprise distro which may not have support in the box.
Comment 14 Christian König 2019-06-12 08:12:04 UTC
(In reply to Rolf from comment #12)
> Perhaps I'm trying to do something unnecessary under Ubuntu?

Yes, exactly that seems to be the case here.

Either the drivers coming with Ubuntu should be sufficient or you should use a PPA to get bleeding edge drivers.

As Alex already noted as well the -pro drivers are for workstation use cases where the user has a specific version of a distribution.

Marking this bug as invalid for now.
Comment 15 Rolf 2019-06-12 23:49:17 UTC
I have a Linux workstation and it's a development workstation. Your driver page (https://www.amd.com/en/support/graphics/amd-radeon-2nd-generation-vega/amd-radeon-2nd-generation-vega/amd-radeon-vii) is where people go for up-to-date drivers on Windows. It clearly has a Linux sections as well, so this is very confusing. I still have no idea if I should be using the pro or normal drivers. I am very appreciative to Alex for providing a script that gives me choice on Ubuntu 19.04.
Comment 16 Rolf 2019-06-12 23:51:39 UTC
Btw, it would be very nice to list these PPAs on the driver page. Where are they documented? It's not like I can build the driver for myself without source.
Comment 17 Andre Klapper 2019-06-13 08:16:42 UTC
(In reply to Rolf from comment #15)
> Your driver page
> (https://www.amd.com/en/support/graphics/amd-radeon-2nd-generation-vega/amd-
> radeon-2nd-generation-vega/amd-radeon-vii)

No, as we do not run AMD.com. You are on freedesktop.org and not AMD.com.
You are asking the wrong people.
https://en.wikipedia.org/wiki/Advanced_Micro_Devices
https://en.wikipedia.org/wiki/Freedesktop.org

(In reply to Rolf from comment #16)
> Btw, it would be very nice to list these PPAs on the driver page.

Feel free to talk to AMD about that. You are asking the wrong people.
Comment 18 Christian König 2019-06-13 09:58:25 UTC
(In reply to Andre Klapper from comment #17)
> Feel free to talk to AMD about that. You are asking the wrong people.

Well no, he is asking exactly at the right location.

Take a look at the component, this bug is explicitly about the amdgpu-pro driver installation and both Alex and me are answering on this bug.
Comment 19 Andre Klapper 2019-06-13 10:10:39 UTC
Ah. Thanks for the correction. I'm sorry!
Comment 20 Rolf 2019-06-13 23:46:38 UTC
@Andre, thank you for the clarification. My bug may have been correctly filed, but it seems I vented my frustration with AMD in the wrong direction. I did think, and I think most people following that link would as well, that the people working the bugs in this category were AMD. For that I am sorry. 

Thanks again to Alex and Andrew for your help and patience. Switching over to Linux has been quite an adventure!
Comment 21 Andrew Shark 2019-06-14 09:09:05 UTC
Created attachment 144539 [details] [review]
Script to modify packages to be able to use with ubuntu 19.04

Updated to work with version amdgpu-pro 19.20-812932
Added nuclear removing instructions
amdgpu-dkms now builds successfully
Comment 22 Andrew Shark 2019-06-15 17:32:35 UTC
Created attachment 144555 [details] [review]
Script to modify packages to be able to use with ubuntu 19.04

Now script automatically installs all pro components without open components. The exceptions are: amdgpu-core, libdrm-amdgpu-amdgpu1, libdrm-amdgpu-common,  libdrm2-amdgpu, libwayland-amdgpu-client0, libwayland-amdgpu-server0.
Separated uninstaller commands to another file.
Comment 23 Andrew Shark 2019-06-15 17:41:56 UTC
Created attachment 144556 [details] [review]
Script to force remove all amdgpu-pro packages v01

Allows you to remove packages, even if they have broken dependencies and then cleanly remove local repository using official script.
Comment 24 Etienne Lorrain 2019-06-25 10:25:02 UTC
The script (attached to this bug) to install latest AMD drivers on ubuntu 19.04 for a RX590 on a Ryzen threadripper works for me, but leads to a Segmentation fault at address 0x0 of /usr/lib/xorg/Xorg seen in .local/share/xorg/Xorg.0.log

Solution for me was to:
sudo mv /usr/share/X11/xorg.conf.d/10-amdgpu.conf /usr/share/X11/xorg.conf.d/10-amdgpu.conf.bak
sudo mv /usr/share/X11/xorg.conf.d/00-amdgpu.conf /usr/share/X11/xorg.conf.d/00-amdgpu.conf.bak
as proposed by axlc in https://community.amd.com/thread/227165
Then I had to reboot the PC, no more "loop login".
Comment 25 Etienne Lorrain 2019-06-25 12:12:10 UTC
(In reply to Etienne Lorrain from comment #24)
> The script (attached to this bug) to install latest AMD drivers on ubuntu
> 19.04 for a RX590 on a Ryzen threadripper works for me, but leads to a
> Segmentation fault at address 0x0 of /usr/lib/xorg/Xorg seen in
> .local/share/xorg/Xorg.0.log
> 
> Solution for me was to:
> sudo mv /usr/share/X11/xorg.conf.d/10-amdgpu.conf
> /usr/share/X11/xorg.conf.d/10-amdgpu.conf.bak
> sudo mv /usr/share/X11/xorg.conf.d/00-amdgpu.conf
> /usr/share/X11/xorg.conf.d/00-amdgpu.conf.bak
> as proposed by axlc in https://community.amd.com/thread/227165
> Then I had to reboot the PC, no more "loop login".

A shorter solution is to comment out (by adding # as first char) the line:
ModulePath "/opt/amdgpu/lib/xorg/modules"
in 00-amdgpu.conf and rename both files as their original names.

Maybe to use /usr/lib/xorg/modules/libglamoregl.so instead of /opt/amdgpu/lib/xorg/modules/libglamoregl.so, different files with same names.
Or to use /usr/lib/xorg/modules/drivers/amdgpu_drv.so instead of /opt/amdgpu/lib/xorg/modules/drivers/amdgpu_drv.so, different files with same names.
There is only two real files in /opt/amdgpu/lib/xorg/modules/.
Comment 26 Felipe Marschall 2019-06-26 01:39:14 UTC
(In reply to Rolf from comment #3)
> If anyone else finds themselves in this fix by installing this driver, the
> only way to get apt-get working again is to forcefully remove all of the
> files using:
> 
> sudo dpkg --force-all -P [package name]
> 
> Here is the list of miss-installed packages:
> 
> 
> The following packages have unmet dependencies:
>  amdgpu-dkms : Depends: amdgpu-core but it is not going to be installed
>  amdgpu-lib : Depends: amdgpu-core (= 19.10-785425) but it is not going to
> be installed
>  ...

It happened to me now...
I managed to fix it by booting into recovery, enabling network and then running:

dpkg --remove --force-remove-reinstreq amdgpu amdgpu-core amdgpu-dkms amdgpu-lib glamor-amdgpu gst-omx-amdgpu libdrm-amdgpu-amdgpu1 libdrm-amdgpu-common libdrm2-amdgpu  libegl1-amdgpu-mesa libegl1-amdgpu-mesa-drivers libgbm1-amdgpu libgl1-amdgpu-mesa-dri libgl1-amdgpu-mesa-glx libglapi-amdgpu-mesa  libgles1-amdgpu-mesa libgles2-amdgpu-mesa libllvm7.1-amdgpu libomxil-bellagio-bin libomxil-bellagio0 libosmesa6-amdgpu  libwayland-amdgpu-client0 libwayland-amdgpu-egl1 libwayland-amdgpu-server0 libxatracker2-amdgpu mesa-amdgpu-omx-drivers  mesa-amdgpu-va-drivers mesa-amdgpu-vdpau-drivers xserver-xorg-amdgpu-video-amdgpu
Comment 27 Felipe Marschall 2019-06-26 01:42:46 UTC
I just saw Andrew's script.. much easier!
Comment 28 Sebastian 2019-08-17 22:30:15 UTC
There is a new Version of the Radeon Software (ver 19.30 from Aug 12.)
https://www.amd.com/en/support/kb/release-notes/rn-amdgpu-unified-linux
Does the script work for the new version?
Comment 29 Andrew Shark 2019-08-18 04:12:05 UTC
Created attachment 145087 [details] [review]
Script to modify packages to be able to use with ubuntu 19.04

Updated script to work with Ubuntu 19.04 and driver version 19.30-855429
Set status to REOPENED, because the problem is still actual.
Comment 30 Etienne Lorrain 2019-08-20 13:20:42 UTC
(In reply to Andrew Shark from comment #29)
> Created attachment 145087 [details] [review] [review]
> Script to modify packages to be able to use with ubuntu 19.04
> 
> Updated script to work with Ubuntu 19.04 and driver version 19.30-855429
> Set status to REOPENED, because the problem is still actual.

Is it not fixed for you by (as my previous comment):
A shorter solution is to comment out (by adding # as first char) the line:
ModulePath "/opt/amdgpu/lib/xorg/modules"
in 00-amdgpu.conf
Comment 31 Andrew Shark 2019-08-20 16:04:51 UTC
(In reply to Etienne Lorrain from comment #30)
I do not understand what problem you are talking about. Package just refuses to install because of explicitly doing so in preinst script. My script solves it.
Comment 32 Tomas 2019-08-23 07:37:09 UTC
Hi,

I have applied the patch to drivers amdgpu-pro-19.30-855429-ubuntu-18.04, and something is wrong. The process doesn't find as seems some components?
See output i got on the cli. Have I overlooked something?

$ ./install-amdgpu-pro-19.30-855429-on-ubuntu19.04-v06.sh 
dpkg-deb: building package 'amdgpu-core' in 'amdgpu-core_19.30-855429_all.no_ub_ver_chk.deb'.
dpkg-deb: building package 'amdgpu-pro-hwe' in 'amdgpu-pro-hwe_19.30-855429_amd64.no_ag-hwe_dep.deb'.
dpkg-deb: building package 'amdgpu-pro-lib32' in 'amdgpu-pro-lib32_19.30-855429_amd64.no_ag-hwe_and_ag-lib32_dep.deb'.
Creating local repository...
Installing OpenGL PRO...
[sudo] password for user: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package amdgpu-pro-hwe
E: Unable to locate package amdgpu-pro-lib32
Installing OpenCL PRO...
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package clinfo-amdgpu-pro
E: Unable to locate package opencl-orca-amdgpu-pro-icd
E: Unable to locate package opencl-orca-amdgpu-pro-icd:i386
E: Unable to locate package opencl-amdgpu-pro-icd
Installing Vulkan PRO...
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package vulkan-amdgpu-pro
E: Unable to locate package vulkan-amdgpu-pro:i386
All done, enjoy!
This script was prepared for you by Andrew Shark, the author of LinuxComp Tutorial youtube channel. If you liked it, please let me know =)
Comment 33 Tomas 2019-08-23 07:38:54 UTC
System is Ubuntu 19.04, 5.0.0-25-generic #26-Ubuntu SMP Thu Aug 1 12:04:58 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux
Comment 34 Andrew Shark 2019-08-23 08:26:43 UTC
@Tomas, it is strange that it did not asked a password after "Creating local repository..." which is before "Installing OpenGL PRO...". Probably you already had a previous version of repository (it happens if you try to install it with official installer script first).
Try to force remove it (script provided as another attachment) and then re-run my installer script.
Comment 35 Etienne Lorrain 2019-08-23 09:04:38 UTC
(In reply to Andrew Shark from comment #31)
> (In reply to Etienne Lorrain from comment #30)
> I do not understand what problem you are talking about. Package just refuses
> to install because of explicitly doing so in preinst script. My script
> solves it.

Sorry, it is some time ago and now that my system is working I am reluctant to break it again to see if I can re-install again.
I use your script to install on 19.4, I just had:

> but leads to a
> Segmentation fault at address 0x0 of /usr/lib/xorg/Xorg seen in
> .local/share/xorg/Xorg.0.log

That I fixed by commenting out the line:
ModulePath "/opt/amdgpu/lib/xorg/modules"
in 00-amdgpu.conf

I am not sure why I cannot use files in "/opt/amdgpu/lib/xorg/modules", I have to use the files in "/usr/lib/xorg/modules/" (same filenames, different files)...

Cheers.
Comment 36 Tomas 2019-08-26 08:15:52 UTC
@Andrew Shark: well, it asked me once for the users password for sudo, which I successfully input and worked. "[sudo] password for user: ".
I have as well tried your removal script, however after running it with sudo and without, I got no output on CLI of it, is that ok?
After that tried the installer with script, and unchanged behaviour.

If there is any outut to be run, if you send me commands, happy to run.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.